Subject: bug#59810: [PATCH] Fix rcirc-markup-text-functions applying to the whole message

From: Thuna <[email-masked]>
Date: Mon, 01 May 2023 22:32:41 +0200

>
>> Since `rcirc-markup-text-functions' is meant to apply only to the text,
>> the changed code, which applied it to the entirety of the message was
>> bugged.  The simplest example is `\me NICK' with `rcirc-color', where
>> NICK is supposed to be colored but isn't because the message reads
>> `[... NICK]' and the `]' is recognized as a part of the nick.
>
> I can not reproduce this, can you give a different example?

Nothing else immediately comes to mind, unfortunately.  I am able to
reproduce it, however:
- emacs -Q 
- Load rcirc-color (version 0.4.5 as of now)
- M-x rcirc
- /query fsbot (assuming you're in libera.chat)
- Type a message so that fsbot responds and its color is registered
- "/me fsbot" --- You will see that fsbot is not colored
- "/me fsbot " --- You will see that fsbot is colored

My emacs version is GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu,
GTK+ Version 3.24.34) of 2023-01-09, in case that matters.

>> The patch should fix the issue, although it is possible that some
>> already existing functions put to `rcirc-markup-text-functions' will
>> break due to them expecting the previous behavior.  I still propose the
>> patch is applied as the issue is a bug on those functions' end and not
>> rcirc.

> Why is this necessary, if the only function that would have modified the
> buffer gap is `rcirc-markup-timestamp'?

I do not understand what you are referring to here.